- Cal3D 0.11 API Reference -

Static Public Member Functions | Static Protected Member Functions | List of all members
CalSaver Class Reference

The saver class. More...

`#include <saver.h>`

## Static Public Member Functions

static bool | saveCoreAnimation (const std::string &strFilename, CalCoreAnimation *pCoreAnimation)
| Saves a core animation instance.
static bool | saveCoreMaterial (const std::string &strFilename, CalCoreMaterial *pCoreMaterial)
| Saves a core material instance.
static bool | saveCoreMesh (const std::string &strFilename, CalCoreMesh *pCoreMesh)
| Saves a core mesh instance.
static bool | saveCoreSkeleton (const std::string &strFilename, CalCoreSkeleton *pCoreSkeleton)
| Saves a core skeleton instance.

## Static Protected Member Functions

static bool | saveCoreBones (std::ofstream &file, const std::string &strFilename, CalCoreBone *pCoreBone)
| Saves a core bone instance.
static bool | saveCoreKeyframe (std::ofstream &file, const std::string &strFilename, CalCoreKeyframe *pCoreKeyframe)
| Saves a core keyframe instance.
static bool | saveCoreSubmesh (std::ofstream &file, const std::string &strFilename, CalCoreSubmesh *pCoreSubmesh)
| Saves a core submesh instance.
static bool | saveCoreTrack (std::ofstream &file, const std::string &strFilename, CalCoreTrack *pCoreTrack)
| Saves a core track instance.
static bool | saveXmlCoreSkeleton (const std::string &strFilename, CalCoreSkeleton *pCoreSkeleton)
| Saves a core skeleton instance to a XML file.
static bool | saveXmlCoreAnimation (const std::string &strFilename, CalCoreAnimation *pCoreAnimation)
| Saves a core animation instance in a XML file.
static bool | saveXmlCoreMesh (const std::string &strFilename, CalCoreMesh *pCoreMesh)
| Saves a core mesh instance in a XML file.
static bool | saveXmlCoreMaterial (const std::string &strFilename, CalCoreMaterial *pCoreMaterial)
| Saves a core material instance to a XML file.

## Detailed Description

The saver class.

## Member Function Documentation

## ◆ saveCoreAnimation()

bool CalSaver::saveCoreAnimation | ( | const std::string & | strFilename,
|  | CalCoreAnimation * | pCoreAnimation )

static

Saves a core animation instance.

This function saves a core animation instance to a file.

Parameters

  strFilename | The name of the file to save the core animation instance to.
  pCoreAnimation | A pointer to the core animation instance that should be saved.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ saveCoreBones()

bool CalSaver::saveCoreBones | ( | std::ofstream & | file,
|  | const std::string & | strFilename,
|  | CalCoreBone * | pCoreBone )

static protected

Saves a core bone instance.

This function saves a core bone instance to a file stream.

Parameters

  file | The file stream to save the core bone instance to.
  strFilename | The name of the file stream.
  pCoreBone | A pointer to the core bone instance that should be saved.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ saveCoreKeyframe()

bool CalSaver::saveCoreKeyframe | ( | std::ofstream & | file,
|  | const std::string & | strFilename,
|  | CalCoreKeyframe * | pCoreKeyframe )

static protected

Saves a core keyframe instance.

This function saves a core keyframe instance to a file stream.

Parameters

  file | The file stream to save the core keyframe instance to.
  strFilename | The name of the file stream.
  pCoreKeyframe | A pointer to the core keyframe instance that should be saved.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ saveCoreMaterial()

bool CalSaver::saveCoreMaterial | ( | const std::string & | strFilename,
|  | CalCoreMaterial * | pCoreMaterial )

static

Saves a core material instance.

This function saves a core material instance to a file.

Parameters

  strFilename | The name of the file to save the core material instance to.
  pCoreMaterial | A pointer to the core material instance that should be saved.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ saveCoreMesh()

bool CalSaver::saveCoreMesh | ( | const std::string & | strFilename,
|  | CalCoreMesh * | pCoreMesh )

static

Saves a core mesh instance.

This function saves a core mesh instance to a file.

Parameters

  strFilename | The name of the file to save the core mesh instance to.
  pCoreMesh | A pointer to the core mesh instance that should be saved.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ saveCoreSkeleton()

bool CalSaver::saveCoreSkeleton | ( | const std::string & | strFilename,
|  | CalCoreSkeleton * | pCoreSkeleton )

static

Saves a core skeleton instance.

This function saves a core skeleton instance to a file.

Parameters

  strFilename | The name of the file to save the core skeleton instance to.
  pCoreSkeleton | A pointer to the core skeleton instance that should be saved.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ saveCoreSubmesh()

bool CalSaver::saveCoreSubmesh | ( | std::ofstream & | file,
|  | const std::string & | strFilename,
|  | CalCoreSubmesh * | pCoreSubmesh )

static protected

Saves a core submesh instance.

This function saves a core submesh instance to a file stream.

Parameters

  file | The file stream to save the core submesh instance to.
  strFilename | The name of the file stream.
  pCoreSubmesh | A pointer to the core submesh instance that should be saved.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ saveCoreTrack()

bool CalSaver::saveCoreTrack | ( | std::ofstream & | file,
|  | const std::string & | strFilename,
|  | CalCoreTrack * | pCoreTrack )

static protected

Saves a core track instance.

This function saves a core track instance to a file stream.

Parameters

  file | The file stream to save the core track instance to.
  strFilename | The name of the file stream.
  pCoreTrack | A pointer to the core track instance that should be saved.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ saveXmlCoreAnimation()

bool CalSaver::saveXmlCoreAnimation | ( | const std::string & | strFilename,
|  | CalCoreAnimation * | pCoreAnimation )

static protected

Saves a core animation instance in a XML file.

This function saves a core animation instance to a XML file.

Parameters

  strFilename | The name of the file to save the core animation instance to.
  pCoreAnimation | A pointer to the core animation instance that should be saved.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ saveXmlCoreMaterial()

bool CalSaver::saveXmlCoreMaterial | ( | const std::string & | strFilename,
|  | CalCoreMaterial * | pCoreMaterial )

static protected

Saves a core material instance to a XML file.

This function saves a core material instance to a XML file.

Parameters

  strFilename | The name of the file to save the core material instance to.
  pCoreMaterial | A pointer to the core material instance that should be saved.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ saveXmlCoreMesh()

bool CalSaver::saveXmlCoreMesh | ( | const std::string & | strFilename,
|  | CalCoreMesh * | pCoreMesh )

static protected

Saves a core mesh instance in a XML file.

This function saves a core mesh instance to a XML file.

Parameters

  strFilename | The name of the file to save the core mesh instance to.
  pCoreMesh | A pointer to the core mesh instance that should be saved.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

## ◆ saveXmlCoreSkeleton()

bool CalSaver::saveXmlCoreSkeleton | ( | const std::string & | strFilename,
|  | CalCoreSkeleton * | pCoreSkeleton )

static protected

Saves a core skeleton instance to a XML file.

This function saves a core skeleton instance to a XML file.

Parameters

  strFilename | The name of the file to save the core skeleton instance to.
  pCoreSkeleton | A pointer to the core skeleton instance that should be saved.

Returns
  One of the following values:
  - true if successful
  - false if an error happend

The documentation for this class was generated from the following files:

- saver.h
- saver.cpp

Generated by The Cal3D Team with Doxygen 1.15.0